Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.common
Class CMBinOp

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.CMNode
            |
            +--weblogic.apache.xerces.validators.common.CMBinOp

public class CMBinOp
extends CMNode

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`CMBinOp(int type, CMNode leftNode, CMNode rightNode)`

Method Summary
`protected void` | `calcFirstPos(weblogic.apache.xerces.validators.common.CMStateSet toSet)`
`protected void` | `calcLastPos(weblogic.apache.xerces.validators.common.CMStateSet toSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMBinOp

    public CMBinOp(int type,
                   CMNode leftNode,
                   CMNode rightNode)
            throws CMException

Method Detail

### calcFirstPos

    protected void calcFirstPos(weblogic.apache.xerces.validators.common.CMStateSet toSet)
                         throws CMException

  Overrides:
    calcFirstPos in class CMNode

### calcLastPos

    protected void calcLastPos(weblogic.apache.xerces.validators.common.CMStateSet toSet)
                        throws CMException

  Overrides:
    calcLastPos in class CMNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference